commit 26667685a0fdaeb2a61788f0f33fb6c17406547c
Author: freddy77 <freddy77>
Date:   Tue Jul 27 07:19:18 2010 +0000

    fix dblib build with Sybase libraries

diff --git a/ChangeLog b/ChangeLog
index 168ae5a..5968fa7 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Tue Jul 27 09:18:53 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* misc/sybase_tests: fix dblib build with Sybase libraries
+
 Sun Jul 25 12:46:17 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* misc/test-other.sh: update year
 
@@ -2766,4 +2769,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3096 2010/07/25 10:46:25 freddy77 Exp $
+$Id: ChangeLog,v 1.3097 2010/07/27 07:19:18 freddy77 Exp $
diff --git a/misc/sybase_tests b/misc/sybase_tests
index 2d9a8e9..00ec8d2 100755
--- a/misc/sybase_tests
+++ b/misc/sybase_tests
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-# $Id: sybase_tests,v 1.5 2010/07/07 13:57:02 freddy77 Exp $
+# $Id: sybase_tests,v 1.6 2010/07/27 07:19:18 freddy77 Exp $
 # these commands build dblib and ctlib tests using Sybase libraries
 
 errore() {
@@ -28,8 +28,9 @@ set -e
 make
 
 # rebuild tests
-for dir in src/ctlib/unittests src/ctlib/unittests; do
+for dir in src/dblib/unittests src/ctlib/unittests; do
 	cd $dir
+	export LD_RUN_PATH="$SYBASE/$OCSDIR/lib"
 	if test ! -r Makefile.no_sybase -o Makefile -nt Makefile.no_sybase; then
 		rm -f Makefile.no_sybase
 		echo '#include <sybfront.h>' > sqlfront.h

